﻿using ConsoleApp1.Data;
using DevFx;
using System;

namespace ConsoleApp1
{
	//业务逻辑实现类，[Object]特性告诉DevFx这个类需要放入到IoC容器里，DevFx会扫描这个类实现了哪些接口，并做映射
	[Object]
	internal class MyService : IMyService
	{
		//自动装配（注入）
		[Autowired]
		protected IBizService BizService { get; set; }
		//配置自动注入
		[Autowired]
		protected IWeixinSetting WeixinSetting { get; set; }
		//数据访问接口自动注入
		[Autowired]
		protected IMyDataService MyDataService { get; set; }

		public string GetUserName(string userId) {
			var msg = this.MyDataService.GetEventMessageByID("0000e69f407a4b69bbf3866a499a2eb6");
			var str = $"EventMessage:{msg.MessageGuid}_{msg.Category}_{msg.Priority}_{msg.CreatedTime}";
			return $"{userId}_{DateTime.Now.Ticks}_{this.BizService.GetUserDisplayName(userId)}_weixin={this.WeixinSetting.ApiUrl}{Environment.NewLine}{str}";
		}
	}
}
